%define fw_version 5.43

Summary:	KDE Frameworks 5 policy and authentication module
Name:		kauth
Version:	5.43.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
Patch0:		kauth-5.41.0-compile.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kcoreaddons-devel >= %{version}
BuildRequires:	pkgconfig(polkit-qt5-1)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
KDE Frameworks 5 policy and authentication module.

KAuth provides a convenient, system-integrated way to offload actions that need
to be performed as a privileged user (root, for example) to small (hopefully
secure) helper utilities.

%files
%{_kde5_configdir}/kauth.categories
%{_kde5_datadir}/kf5/kauth/*.stub
%{_kde5_libexecdir}/kauth/kauth-policy-gen
%{_qt5_plugindir}/kauth/backend/kauth_backend_plugin.so
%{_qt5_plugindir}/kauth/helper/kauth_helper_plugin.so
%{_sysconfdir}/dbus-1/system.d/org.kde.kf5auth.conf

#----------------------------------------------------------------------------

%package i18n
Summary:	KAuth translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KAuth translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5auth_major 5
%define libkf5auth %mklibname kf5auth %{kf5auth_major}

%package -n %{libkf5auth}
Summary:	KDE Frameworks 5 policy and authentication shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5auth}
KDE Frameworks 5 policy and authentication shared library.

%files -n %{libkf5auth}
%{_kde5_libdir}/libKF5Auth.so.%{kf5auth_major}*

#----------------------------------------------------------------------------

%define devkf5auth %mklibname kf5auth -d

%package -n %{devkf5auth}
Summary:	Development files for KDE Frameworks 5 policy and authentication module
Group:		Development/KDE and Qt
Requires:	%{libkf5auth} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5auth-devel = %{version}

%description -n %{devkf5auth}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5auth}
%{_kde5_includedir}/KF5/KAuth
%{_kde5_includedir}/KF5/kauth_version.h
%{_kde5_libdir}/cmake/KF5Auth
%{_kde5_libdir}/libKF5Auth.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde5 -DKAUTH_BACKEND=PolkitQt5-1
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Fri Feb 16 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (fc0a1f2) Add new files to main package
- (Andrey Bondrov: 879b896) New version 5.43.0

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (988c807) Re-diff patch
- (Andrey Bondrov: c181eef) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (65d640c) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (0f469e4) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (27fdb00) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (6e80c85) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (73baa60) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (57ba7b9) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (d3e032c) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (3245d83) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (4f8765e) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (acb960d) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (2a30b23) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (09ca2ba) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (52c1cac) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (a2395aa) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (9bc38e4) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (6e2411f) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (3295bb2) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (705c8e6) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (c79c1a1) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (4bc3393) New version 5.15.0

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-3
- (a57fe61) MassBuild#822: Increase release tag

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-2
- (815a96d) MassBuild#821: Increase release tag

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (0c0ccd5) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (38842bd) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (eb0fc3c) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (b6767f6) New version 5.11.0


